---
title: 'useAppConfig'
description: 'Access the reactive app config defined in the project.'
links:
  - label: Source
    icon: i-simple-icons-github
    to: https://github.com/nuxt/nuxt/blob/main/packages/nuxt/src/app/config.ts
    size: xs
---

## Usage

```ts
const appConfig = useAppConfig()

console.log(appConfig)
```

:read-more{to="/docs/guide/directory-structure/app-config"}
